Bug 798807 - symlinks in lib* dirs: Failed to execute /init
symlinks in lib* dirs: Failed to execute /init
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-02-29 17:31 EST by Sami Farin
Modified: 2012-07-03 04:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-03 04:01:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sami Farin 2012-02-29 17:31:57 EST
Description of problem:

systems fails to boot with "Failed to execute /init".

dracut creates this kind of dir structure:

# ls -ld lib64/libtinfo.so* usr usr/lib64 lib64
lrwxrwxrwx 1 root root      9 Mar  1 00:14 lib64 -> usr/lib64
lrwxrwxrwx 1 root root     15 Mar  1 00:14 lib64/libtinfo.so -> libtinfo.so.5.9
lrwxrwxrwx 1 root root     28 Mar  1 00:14 lib64/libtinfo.so.5 -> ../usr/lib64/libtinfo.so.5.9
-rwxr-xr-x 1 root root 167608 Mar  1 00:14 lib64/libtinfo.so.5.9
drwxr-xr-x 7 root root     61 Mar  1 00:14 usr
drwxr-xr-x 4 root root   8192 Mar  1 00:14 usr/lib64
# file {/,}lib64/libtinfo.so.5
/lib64/libtinfo.so.5: symbolic link to `libtinfo.so.5.9'
lib64/libtinfo.so.5:  broken symbolic link to `../usr/lib64/libtinfo.so.5.9'

# chroot /boot/grub2/x lib64/ld-2.15.so bin/bash
bin/bash: error while loading shared libraries: libtinfo.so.5: cannot open shared object file: No such file or directory

I think this is why on boot kernel fails to execute /init .
Most of the other symlinks are broken, too.  When I fix them (like they are in the real /lib64 , that chroot command works.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run dracut
Actual results:

Expected results:

Additional info:
initrd created with dracut-014 manages to boot the system (but system shutdown does not work)
Comment 2 Sami Farin 2012-03-01 09:47:34 EST
at least it now creates dir structure which works with that chroot test.
but I am not doing a reboot test right now..
Comment 3 Sami Farin 2012-03-02 11:27:28 EST
had to reboot due to drm problems, now with this updated dracut and 3.3rc5 kernel, it works ok, and reboot also works without panic.

Note You need to log in before you can comment on or make changes to this bug.